# https://github.com/feedhenry/fh-openshift-templates
# https://github.com/fheng/fh-core-openshift-templates
%global import_mbaas_path        github.com/feedhenry/fh-openshift-templates
%global import_core_path         github.com/fheng/fh-core-openshift-templates

%global package_name             rhmap-fh-openshift-templates
%global mbaas_ose_tarball_name   fh-openshift-templates-0.24.66.redhat-1
%global core_ose_tarball_name    fh-core-openshift-templates-0.1.1.redhat-3
%global mbaas_ose_folder_name    fh-openshift-templates-0.24.66-redhat-1
%global core_ose_folder_name     fh-core-openshift-templates-0.1.1-redhat-3
%global product_name             Red Hat Mobile Application Platform

Name:                      rhmap-fh-openshift-templates
Version:                   1.0.0
Release:                   5%{?dist}
Summary:                   Set of OpenShift templates that can be used to setup the Core and the MBaaS of the Red Hat Mobile Application Platform On-Premise product.
License:                   ASL 2.0
URL:                       https://%{import_mbaas_path}
Source0:                   %{mbaas_ose_tarball_name}.tar.gz
Source1:                   %{core_ose_tarball_name}.tar.gz
BuildArch:                 noarch

%description
%{summary}

%prep
%setup -q -n %{mbaas_ose_folder_name}
%setup -q -D -b 1 -n %{core_ose_folder_name}

%build

%install

echo "+++ Creating folders for ose templates..."
rm -rf %{buildroot}
mkdir -p %{buildroot}/opt/rhmap/templates/core
mkdir -p %{buildroot}/opt/rhmap/templates/mbaas

echo "+++ Copying ose MBaaS templates..."
%{__install} -p -m 0755 %{_builddir}/%{mbaas_ose_folder_name}/fh-mbaas-template-*node.json %{buildroot}/opt/rhmap/templates/mbaas/
#%{__install} -p -m 0755 %{_builddir}/%{mbaas_ose_folder_name}/fh-mbaas-template-1node-persistent %{buildroot}/opt/rhmap/templates/mbaas/

echo "+++ Copying ose Core templates..."
%{__install} -p -m 0755 %{_builddir}/%{core_ose_folder_name}/generated/*.json %{buildroot}/opt/rhmap/templates/core/

echo "+++ Copying Gitlab-shell Security Context Constraint (SCC) file..."
%{__install} -p -m 0755 %{_builddir}/%{core_ose_folder_name}/gitlab-shell/scc-anyuid-with-chroot.json %{buildroot}/opt/rhmap/templates/core/


%files
/opt/rhmap/templates/mbaas/
/opt/rhmap/templates/core/
/opt/rhmap/templates/

%changelog
* Fri Jan 6 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.0.0-5
- Update core templates for RHMAP 4.2.1.CR4 release
* Tue Dec 13 2016 Andrea Vibelli <avibelli@redhat.com> - 1.0.0-4
- Update templates for RHMAP 4.2.1 release
* Tue Dec 6 2016 Jozef Mrazek <jmrazek@redhat.com> - 1.0.0-3
- Update templates with patched Productised version
* Thu Dec 1 2016 Andrea Vibelli <avibelli@redhat.com> - 1.0.0-2
- Manage of different source tarballs for MBaaS and Core templates
* Mon Nov 28 2016 Jozef Mrazek <jmrazek@redhat.com> - 1.0.0-1
- Update templates with patched Productised version after core and mbaas templates split
* Tue Oct 11 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.169-2
- Updated templates with patched Productised version
* Wed Oct 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.169-1
- Updated templates with latest Productised version
* Wed Sep 28 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.153-1
- Updated templates with latest Productised version
* Tue Sep 20 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.134-1
- Updated templates with latest Productised version
* Wed Sep 14 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.1-2
- Updated templates with latest upstream version; modified version naming
* Tue Sep 6 2016 Andrea Vibelli <avibelli@redhat.com> - 0.1.1-1
- Moved scc-anyuid-with-chroot.json file in core folder
* Mon Sep 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.1.0-1
- Rename of the package into rhmap-fh-openshift-templates
* Mon Sep 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.0.1-1
- First package build of RHMAP OSE templates
